- Home
- API Enriched
- Network
- operate
- Traceroute.
Traceroute.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/traceroute';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"dest":{"hostname":"example","ip":"example"},"hops":1,"intf":{"any_intf":{},"intf":"example"},"namespace":"example","node":"example","retries":1,"site":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/traceroute \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "dest": { "hostname": "example", "ip": "example" }, "hops": 1, "intf": { "any_intf": {}, "intf": "example" }, "namespace": "example", "node": "example", "retries": 1, "site": "example" }'Run traceroute to a destination.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site from which traceroute is initiated.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to run traceroute to a destination.
object
object
Exclusive with [IP] DNS name of the host.
Exclusive with [hostname] IP address of the host.
Maximum number of hops (TTL) for probe packets.
object
object
Exclusive with [any_intf] Name of the chosen interface on the node.
Namespace for which the request is sent (system)
Name of the node from which traceroute is initiated Required: YES.
Number of probes for each hop.
Name of the site from which traceroute is initiated.
Examplegenerated
{ "dest": { "hostname": "example", "ip": "example" }, "hops": 1, "intf": { "any_intf": {}, "intf": "example" }, "namespace": "example", "node": "example", "retries": 1, "site": "example"}Responses
Section titled “Responses”A successful response.
Response to Traceroute request.
object
All the hops in traceroute response.
Hop info for each Traceroute response.
object
Address of the hop.
Time taken to receive traceroute response (milli seconds)
Host name of the hop, if available.
TTL of the hop.
Examplegenerated
{ "hops": [ { "addr": "example", "elapsed_time_ms": 1, "host": "example", "ttl": 1 } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example